      subroutine init
      implicit none
      include 'parameters.inc'      
      include 'nparticulas.inc'
      include 'config.inc'
      include 'forces.inc'
      include 'veloc.inc'
      include 'geom.inc'
      include 'headlist.inc'
      include 'init.inc'
c      include 'spring.inc'
      include 'sigmas.inc' 
      include 'epsilons.inc' 
      include 'lj.inc'
cccccc
      integer i
      character*80 restartfile

c     ---read simulation data
      open(unit=10,file='data.main')
      read(10,*) 
      read(10,*) new, restartfile, zero_momentum
      read(10,*) 
      read(10,*) dt, tmax
      read(10,*)
      read(10,*) nbitac, nsave, nsamp
      read(10,*)
      read(10,*) tempinit
c      read(10,*) 
c      read(10,*) dxbin
c      read(10,*)
c      read(10,*) diffusion,tdifmax
c      read(10,*)
c      read(10,*) gamdisp
      close (10)
c      kspring=0.
      call zero_array(nmax,rx,ry,rz)
      call zero_array(nmax,fx,fy,fz)
      call zero_array(nmax,vx,vy,vz)
c$$$  call assign_sigma_epsilon  !use for multicomponent LJ FLUIDS
      
      do i=1,nmax
         sigma(i)=1.0
         epsilon(i)=1.0
c         req(i)=1.0
      end do

c     **  Read from previous run
      open(unit=11,file=restartfile)

c***  positions (maybe from a previous montecarlo config)
      read(11,*) np,lx,ly,lz
      do i=1,np
         read(11,*) rx(i),ry(i),rz(i)
      end do
c***  velocities
      if(new) then
         call gauss(TEMPINIT)      !     ** assign gaussian distribution **
      else
      do i=1,np
         read(11,*) vx(i),vy(i),vz(i)
      end do
      end if
      close(11)
      

      write(*,*) '********************************************'
      write(*,*) '        FLUID RESTART FILE  ',restartfile
      write(*,*) '********************************************'
      write(*,*) '*   N_o particles             ',np
      write(*,*) '*   BOX: '
      write(*,*) '     lx,ly,lz       ', lx,ly,lz
      write(*,*) '* TEMPERATURE INPUT ', tempinit
      write(*,*) '* NUMBER DENSITY    ', real(np)/(lx*ly*lz)
      write(*,*) '* RCUT = ',rcut            
      
      write(*,*) '      TEMPERATURE INPUT ', tempinit
      write(*,*) '      NUMBER DENSITY    ', real(np)/(lx*ly*lz)
      write(*,*)
      
      
c     size of the head and list cells->maximum of sigma (this is not very efficient)
      mx=int(lx/rcut)
      my=int(ly/rcut)
      mz=int(lz/rcut)
      
      if(mx*my*mz.gt.nheadmx) stop ' increase nheadmx' 
      write(*,*) ' * * * head & list * * *'
      write(*,*) '    mx,my,mz ', mx,my,mz
      write(*,*)

      WRITE(*,*) '**    THERMAL VELOCITY Sqrt(2T)',sqrt(2.*TEMPINIT)
c      WRITE(*,*) 'RMS THERMAL VELOCITY Sqrt(3T)',sqrt(3.*TEMPINIT)
      
      return
      end

      
